Subject: pull-request: mac80211 2015-12-02

From: Johannes Berg <[email-masked]>
Date: Wed, 02 Dec 2015 22:42:10 +0100

> Please add them and send a new pull request, I'll just skip over your
> existing one.

Ok, here we go, below a new pull request.

I've added the two commits I spoke about, fixing scanning and an
uninitialized cookie variable that lead to problems if the value
happened to be 0.

Let me know if there's any problem!

Thanks,
johannes

The following changes since commit 17c790a60dad11c0193127e83ac8e183b4fed1a2:

  Merge branch 'mv88e6060-fixes' (2015-11-15 20:16:26 -0500)

are available in the git repository at:

  git://git.kernel.org/pub/scm/linux/kernel/git/jberg/mac80211.git tags/mac80211-for-davem-2015-12-02

for you to fetch changes up to c1df932c0574c13ab3ce72e969c9647ff3aaad68:

  mac80211: fix off-channel mgmt-tx uninitialized variable usage (2015-12-02 22:27:53 +0100)

----------------------------------------------------------------
A small set of fixes for 4.4:
 * fix scanning in mac80211 to not actively scan radar
   channels (from Antonio)
 * fix uninitialized variable in remain-on-channel that
   could lead to treating frame TX as remain-on-channel
   and not sending the frame at all
 * remove NL80211_FEATURE_FULL_AP_CLIENT_STATE again, it
   was broken and needs more work, we'll enable it later
 * fix call_rcu() induced use-after-reset/free in mesh
   (that was suddenly causing issues in certain tests)
 * always request block-ack window size 64 as we found
   some APs will otherwise crash (really ...)
 * fix P2P-Device teardown sequence to avoid restarting
   with uninitialized data

----------------------------------------------------------------
Antonio Quartulli (1):
      mac80211: do not actively scan DFS channels

Eliad Peller (1):
      mac80211: don't teardown sdata on sdata stop

Emmanuel Grumbach (1):
      mac80211: ensure we don't update tx power on a non-running sdata

Gregory Greenman (1):
      mac80211: always set the buf_size in AddBA req to 64

Johannes Berg (3):
      mac80211: don't advertise NL80211_FEATURE_FULL_AP_CLIENT_STATE
      mac80211: mesh: fix call_rcu() usage
      mac80211: fix off-channel mgmt-tx uninitialized variable usage

 include/net/mac80211.h      | 6 ++++--
 net/mac80211/agg-tx.c       | 3 ++-
 net/mac80211/cfg.c          | 8 ++++++--
 net/mac80211/iface.c        | 5 +++--
 net/mac80211/main.c         | 3 +--
 net/mac80211/mesh_pathtbl.c | 8 ++++----
 net/mac80211/scan.c         | 9 +++++----
 7 files changed, 25 insertions(+), 17 deletions(-)